# Generated by rust2rpm 27
%bcond check 0

# prevent library files from being installed
%global cargo_install_lib 0

Name:           satty
Version:        0.18.0
Release:        %autorelease
Summary:        Modern Screenshot Annotation

# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# CC0-1.0
# CC0-1.0 OR Apache-2.0
# ISC
# MIT
# MIT AND (MIT OR Apache-2.0)
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
                Apache-2.0 AND
                (Apache-2.0 OR MIT) AND
                (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
                CC0-1.0 AND
                (CC0-1.0 OR Apache-2.0) AND
                ISC AND
                MIT AND
                (MIT AND (MIT OR Apache-2.0)) AND
                (MIT OR Apache-2.0) AND
                (MIT OR Apache-2.0 OR Zlib) AND
                (MIT OR Zlib OR Apache-2.0) AND
                MPL-2.0 AND
                (Unlicense OR MIT) AND
                Zlib
                }
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/gabm/satty
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Recommends:     gdk-pixbuf2-modules-extra

%global _description %{expand:
Modern Screenshot Annotation. A Screenshot Annotation Tool inspired by
Swappy and Flameshot.}

%description %{_description}

%prep
%autosetup -n Satty-%{version} -p1
cargo vendor
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
install -Dpm755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

install -Dpm644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dpm644 assets/%{name}.svg %{buildroot}%{_datadir}/hicolor/scalable/apps/%{name}.svg

install -Dpm644 completions/%{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm644 completions/%{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm644 completions/_%{name} %{buildroot}%{zsh_completions_dir}/_%{name}

%check
%if %{with check}
%cargo_test
%endif
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/hicolor/scalable/apps/%{name}.svg
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
%autochangelog
